SP-API Updates: Delivery Shipment Invoice API changes and LISTINGS_ITEM_ISSUES_CHANGE v 1.0 deprecation

This week's SP-API updates include changes to the getInvoiceStatus operation (Brazil store) to support multiple invoices per shipment, and the deprecation of LISTINGS_ITEM_ISSUES_CHANGE notification v1.0.


Update to Delivery Shipment Invoice API getInvoiceStatus operations

Starting September 30, 2026, the getInvoiceStatus operation (GET /delivery/2022-07-01/invoice/status) will be updated with the following changes for the Brazil (BR) Amazon store. This is a governmental requirement, since Self Ship sellers can send multiple packages, each containing exactly one invoice.

Request changes:

  • New optional query parameter invoiceId — allows querying the status of a specific invoice by its NF-e access key.
  • If multiple parameters are passed, the query priority is: amazonOrderId > amazonShipmentId > invoiceId. Only the highest-priority parameter will be used; the others will be ignored.

Response changes:

  • The invoiceStatus response field will be renamed to orderStatus — representing the aggregated status of all invoices for the order (enum values: Processing, Accepted, PartiallyAccepted, Rejected).
  • A new invoices array field will be added, containing individual invoice objects with invoiceId (NF-e access key) and invoiceStatus (enum: Processing, Accepted, Rejected). Note: PartiallyAccepted applies only at the order level (orderStatus) to indicate that some — but not all — invoices in the order were accepted.
  • Existing fields amazonOrderId and amazonShipmentId remain unchanged.

Which Amazon stores are affected?

This change applies to the Brazil (BR) Amazon stores.

Who is affected?

Developers with applications that call the getInvoiceStatus operation (GET /delivery/2022-07-01/invoice/status) in the Delivery Shipment Invoice API to retrieve invoice processing status for Self Ship or EasyShip orders in the Brazil are affected by this change.

What action is required?

If you have an application that is affected by this change, be sure to:

  1. Update your response parsing logic to use the new orderStatus field instead of the invoiceStatus field for the overall order-level invoice status. The top-level invoiceStatus field will no longer be returned after September 30, 2026.
  2. Handle the new invoices array in the response to consume granular per-invoice status information (invoiceId and invoiceStatus for each invoice).
  3. (Optional) Use the new invoiceId query parameter if your application needs to query the status of a specific individual invoice.

For more information

To learn more about the Delivery Shipment Invoice API, refer to the getInvoiceStatus API reference.


LISTINGS_ITEM_ISSUES_CHANGE Notification v 1.0 deprecation

Starting August 5, 2026, version 1.0 of the LISTINGS_ITEM_ISSUES_CHANGE notification will no longer be available for new subscriptions, and requests to subscribe using this version will return an error. Effective August 26, 2026, Amazon will stop delivering events for existing subscriptions on version 1.0.

Compared to version 1.0, version 2023-12-13 includes additional enforcement actions that provide more detailed listings item issues impact information. For example:

  • LISTING_SUPPRESSED – This enforcement disallows purchase of the current listings item.
  • ATTRIBUTE_SUPPRESSED – A listings item's attribute value is invalid and disallows purchase of the current listings item.
  • CATALOG_ITEM_REMOVED – This catalog item is inactive on Amazon, and all offers against it in the applicable marketplace are not available for purchase.

Which stores are affected?

This change applies to all stores.

Who is affected?

Developers with applications that subscribe to the LISTINGS_ITEM_ISSUES_CHANGE notification are affected by this change.

What action is required?

  • If you use the Notifications schema to validate the notifications you receive, download the 2023-12-13 schema and replace version 1.0.
  • Update your application to create action items based on the 2023-12-13 enforcement actions.
  • Migrate all existing LISTINGS_ITEM_ISSUES_CHANGE subscriptions from version 1.0 to 2023-12-13.

For more information

To learn more about the updated notification schema, refer to the ListingsItemIssuesChangeNotification_2023-12-13 Schema.

For the latest information on notification types, refer to Notification Type Values